%define name smeserver-samba-vscan
%define version 0.3.6b
%define release 1
%define rpmver  4.0.4

Summary:            VScan enables virus-scan in ibays
Name:               %{name}
Version:            %{version}
Release:            %{release}
Copyright:          GPL
Group:              Samba add-on
Source:             %{name}-%{version}.tar.gz
Packager:           Sylvain Gomez  <sylvaingomez@free.fr>
URL:                http://www.openantivirus.org/
BuildRoot:          /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: i386
Requires:           samba = 3.0.10-1.4E.12.2

%description
This RPM is an unofficial addon for the SME Server 7.x.
VScan enables virus-scan in ibays
More infos with 'config show vscan'

%changelog
* Thu Aug 2 2007 Sylvain Gomez <sylvaingomez@free.fr>
- 0.3.6b-1
- Original version

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%install
/bin/rm -rf $RPM_BUILD_ROOT
(/usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post
/sbin/e-smith/db configuration set vscan service maxfilesize 5000000 sendwarning yes action quarantine
/sbin/e-smith/expand-template /etc/samba/smb.conf
/sbin/e-smith/expand-template /etc/samba/vscan-clamav.conf
/etc/init.d/smbd restart
service smb restart
echo " "
echo "-------------------------------------------------------------------------------"
echo "maxfilesize: 0 or size in bytes (i.e. 5000000 for 5MB)"
echo "sendwarning: yes/no"
echo "action     : nothing/delete/quarantine"
echo "After any change you need the following commands:"
echo "expand-template /etc/samba/vscan-clamav.conf"
echo "/etc/init.d/smbd restart"
echo "service smb restart"
echo " "
/sbin/e-smith/db configuration show vscan
echo "-------------------------------------------------------------------------------"

%preun

%postun
/sbin/e-smith/db configuration delete vscan
/sbin/e-smith/expand-template /etc/samba/smb.conf
/etc/init.d/smbd restart
service smb restart

